-- Ent Requires
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-27 by Thomas Holden
-- Gets the code used by the ents

-- actors (category 1)
require "ents/actors/avatar.lua"
require "ents/actors/companion.lua"
require "ents/actors/cane.lua"
require "ents/actors/baddie.lua"
require "ents/actors/boss.lua"
require "ents/actors/npc.lua"
require "ents/actors/signpost.lua"
require "ents/actors/floater.lua"
-- projectiles (category 2)
require "ents/projectiles/lightning.lua"
require "ents/projectiles/bomb.lua"
require "ents/projectiles/boomerang.lua"
-- sensors (category 3)
require "ents/sensors/charge.lua"
require "ents/sensors/eol.lua"
require "ents/sensors/home.lua"
require "ents/sensors/pickup.lua"
require "ents/sensors/spring.lua"
require "ents/sensors/teleport.lua"
require "ents/sensors/unlock.lua"
-- geometry (category 4)
require "ents/geometry/terrain.lua"
require "ents/geometry/ramp.lua"
require "ents/geometry/water.lua"
require "ents/geometry/solidblock.lua"
require "ents/geometry/nonsolid.lua"
require "ents/geometry/breakable.lua"
require "ents/geometry/crate.lua"
require "ents/geometry/blockmaker.lua"
require "ents/geometry/madeblock.lua"
require "ents/geometry/platform.lua"
require "ents/geometry/spikes.lua"
require "ents/geometry/clip.lua"
require "ents/geometry/barrier.lua"
require "ents/geometry/wellspring.lua"
