-- Level 3 "Battlefield"
-- Added 2010-11-04 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Creates Level 3

levelversion = 110226
killdepth = 1600
song = "level1"

-- home (x, y, targets, visible)
ent.sensor.home = {
	home:new(128, 544, {-64, false, 64, false}, false),
	home:new(800, 544, {false, -64, false, 64}, false)
}

-- terrain (x, y, width, height, units, visible)
ent.geometry.terrain = {
	terrain:new(-128, 0, 5, 19),
	terrain:new(-128, 608, 41, 6),
	terrain:new(1024, 0, 5, 19)
}

-- solid blocks (x, y, width, height, units, visible)
ent.geometry.solidBlock = {
	solidBlock:new(448, 288, 6, 1)
}

-- breakable blocks (x, y)
for i=1, 6 do
	ent.geometry.breakable[#ent.geometry.breakable + 1] = breakable:new((i * 32) + 192, 456)
end
for i=1, 6 do
	ent.geometry.breakable[#ent.geometry.breakable + 1] = breakable:new((i * 32) + 640, 456)
end

-- pickup (category, x, y)
for i=1, 4 do
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 224, 352, "will")
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 672, 352, "attack")
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 448, 192, "jumps")
end
